Bug 174745

Summary: More NeverDestroyed and related cleanup
Product: WebKit Reporter: Darin Adler <darin>
Component: WebKit Misc.Assignee: Darin Adler <darin>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen
Priority: P2    
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch achristensen: review+

Description Darin Adler 2017-07-21 21:09:13 PDT Comment hidden (obsolete)
Comment 1 Darin Adler 2017-07-21 21:09:39 PDT Comment hidden (obsolete)
Comment 2 Darin Adler 2017-07-22 10:06:47 PDT Comment hidden (obsolete)
Comment 3 Darin Adler 2017-07-22 10:42:37 PDT Comment hidden (obsolete)
Comment 4 Darin Adler 2017-07-23 13:20:51 PDT Comment hidden (obsolete)
Comment 5 Darin Adler 2017-07-23 14:57:32 PDT
Created attachment 316240 [details]
Patch
Comment 6 Darin Adler 2017-07-24 09:10:31 PDT
Created attachment 316293 [details]
Patch
Comment 7 Alex Christensen 2017-07-24 11:43:20 PDT
Comment on attachment 316293 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=316293&action=review

> Source/WebCore/platform/mac/ThemeMac.mm:736
>          case SquareButtonPart:

This indentation should also be updated.
Comment 8 Darin Adler 2017-07-24 15:49:14 PDT
Comment on attachment 316293 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=316293&action=review

>> Source/WebCore/platform/mac/ThemeMac.mm:736
>>          case SquareButtonPart:
> 
> This indentation should also be updated.

Thanks for spotting that! I will fix before landing.
Comment 9 Darin Adler 2017-07-24 15:53:27 PDT
Comment on attachment 316293 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=316293&action=review

> Source/WebCore/platform/mac/ThemeMac.mm:751
> +        // by definition constrained, since we select mini only for small cramped environments.

I should also add a closing parenthesis here.
Comment 10 Darin Adler 2017-07-24 21:29:14 PDT
Committed r219858: <http://trac.webkit.org/changeset/219858>